//
//  ViewController.swift
//  CalendarTest
//
//  Created by Mohammad Yazdani on 11/6/18.
//  Copyright © 2018 MYazdani. All rights reserved.
//

import UIKit
import JTAppleCalendar

class ViewController: UIViewController {

    let formatter = DateFormatter()
    
    
    @IBOutlet weak var calendarView: JTAppleCalendarView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        print("ViewController : viewDidLoad")
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        print("ViewController : didReceiveMemoryWarning")
    }


}



extension ViewController : JTAppleCalendarViewDelegate, JTAppleCalendarViewDataSource {
    
    func calendar(_ calendar: JTAppleCalendarView, willDisplay cell: JTAppleCell, forItemAt date: Date, cellState: CellState, indexPath: IndexPath) {
        let mycell = cell as! CustomCell
        mycell.dateLabel.text = cellState.text
    }
    
    
    
    func calendar(_ calendar: JTAppleCalendarView, cellForItemAt date: Date, cellState: CellState, indexPath: IndexPath) -> JTAppleCell {
        let mycell = calendar.dequeueReusableJTAppleCell(withReuseIdentifier: "CustomCell", for: indexPath) as! CustomCell
        mycell.dateLabel.text = cellState.text
        self.calendar(calendar, willDisplay: mycell, forItemAt: date, cellState: cellState, indexPath: indexPath)
        return mycell
    }



    
   
    func configureCalendar(_ calendar: JTAppleCalendarView) -> ConfigurationParameters {
        print("ViewController : configureCalendar")
        
        formatter.dateFormat = "yyyy MM dd"
        formatter.timeZone = Calendar.current.timeZone
        formatter.locale = Calendar.current.locale
        
        let startDate = formatter.date(from: "2017 01 01")!
        let endDate = formatter.date(from: "2017 12 31")!
        
        let parameters = ConfigurationParameters(startDate: startDate, endDate: endDate)
        return parameters
    }
    
    
}
